% before running: load
% Fig10_on_robot_experiments.mat. Run the enabled section directly to plot the figure.
% Dz_ori, Fc_ori, Pin_ori are raw data. Dz, Fc, Pin are cutted from the raw
% data to match with each other.
%% Displacement Dz recording
plot(Dz, 'r')
k = length(Dz);
set(gca,'xticklabel',{[]})
set(gca,'XColor', 'none')
ylabel('D_{z} (mm)')
xlim([0, k])
%% contact force Fc recording
plot(Fc, 'g')
k = length(Fc);
set(gca,'xticklabel',{[]})
set(gca,'XColor', 'none')
ylabel('F_{c} (N)')
xlim([0, k])
%% Inner pressure Pin recording
plot(Pin, 'b')
k = length(Pin);
set(gca,'xticklabel',{[]})
set(gca,'XColor', 'none')
ylabel('P_{in} (kPa)')
xlim([0, k])