% before running: load
% Fig7_real_time_Fc_Pin.mat. Sampling time: 50 ms.
% Fc: measured contact force (N)
% Pin: measured inner pressure (relative to the atmospheric pressure) (kPa)
t = 0:0.05:16.7;
fig = figure(1);
yyaxis left;
plot(t, Fc);
xlim([0, 16.7]);
ylim([-20, 15]);
xlabel('time (s)');
ylabel('F_c (N)');
yyaxis right;
plot(t, Pin);
ylim([-20, 15]);
ylabel('P_{in} (kPa)');